
<!DOCTYPE html>
<html lang="en">
<head>

<meta charset="utf-8">
<title>ttycast v0.2 Released ★ me.dt.in.th</title>

<meta name="author" content="Thai Pangsakulyanont">
<meta property="og:title" content="ttycast v0.2 Released ★ me.dt.in.th">
<meta property="og:site_name" content="me.dt.in.th">
<meta property="fb:admins" content="1658509977">
<meta name="monetization" content="$dt.in.th" />

<!-- Enable responsive viewport -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<!-- Le HTML5 shim, for IE6-8 support of HTML elements -->
<!--[if lt IE 9]>
  <script src="https://html5shim.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<!-- Le styles -->
<link rel="stylesheet" href="/css/style.css">

<!-- Le fav and touch icons -->
<!-- atom & rss feed -->
<link href="/atom.xml" type="application/atom+xml" rel="alternate" title="Sitewide ATOM Feed">
<link href="/rss.xml" type="application/rss+xml" rel="alternate" title="Sitewide RSS Feed">
<script src="https://code.jquery.com/jquery-1.10.1.min.js"></script>
<script src="/js/js.js"></script>



</head>

<body>


<div class="me-content">
<div class="me-center-align">

<article id="main-article" class="blog-article">
<h1 class="me-head"><span class="date-placeholder">
  <span class="date"><span class="date-text">Saturday, February 2<sup data-of="2"></sup>, 2013<dfn>: </dfn></span></span></span
>ttycast v0.2 Released</h1>

<div class="me-content-data">
  
  <p><a href="https://github.com/dtinth/ttycast">ttycast</a> v0.2.0 is just released.
This new version is easier to use, includes server-side terminal emulation (instead of client-side),
configurable terminal size, and recording support to <code class="language-plaintext highlighter-rouge">.tty</code> file.</p>

  
  <h2 id="ui-refinements">UI refinements</h2>

<p>The terminal window is moved to the center of browser window, and is accompanied with
a little glow around the border.</p>

<p class="image"><img src="http://i.imgur.com/YBobVKm.png" alt="ttycast" /></p>

<h2 id="server-side-terminal-emulation">Server-side terminal emulation</h2>

<p>In old version (v0.0.x) raw terminal data is sent directly to each client, and each client runs its own
terminal emulator.</p>

<p>In this version the terminal emulation is done in server-side. The rendered content is then sent to the browser.
This ensures that all viewers see the same thing. The client side code to download is a lot smaller too.</p>

<h2 id="easier-to-use">Easier to use</h2>

<p>You don’t have to type long commands (<code class="language-plaintext highlighter-rouge">mkfifo /tmp/......</code>) to start ttycast anymore.</p>

<p>In this new version, just type <code class="language-plaintext highlighter-rouge">ttyreccast</code> in one terminal and <code class="language-plaintext highlighter-rouge">ttyrec /tmp/ttycast</code> in another.</p>

<h2 id="recording">Recording</h2>

<p>The new <code class="language-plaintext highlighter-rouge">ttyreccast</code> command also support recording to <strong>.tty</strong> file as you broadcast.</p>

<p>You may play the recorded file normally using <code class="language-plaintext highlighter-rouge">ttyplay</code>.</p>

<h2 id="adjustable-terminal-size">Adjustable Terminal Size</h2>

<p>This version of ttycast doesn’t require you to use 80x25 terminal anymore.</p>

<p>You can use any terminal size you want.</p>

<hr />

<p>You can read more about ttycast and how to install it at <a href="https://github.com/dtinth/ttycast">GitHub Project</a>. Enjoy!</p>


</div>

</article>

<footer>
  <div class="me-content-data">
    <ul class="me-meta" id="me-meta">
      <li>author: <a rel="author" href="http://dt.in.th/">Thai Pangsakulyanont</a>
      <li><a href="<%= content.url %>">permalink to this page</a>
      <li><a href="/">back to homepage</a>
    </ul>
  </div>
</footer>

<div class="me-no-comments" id="me-responses-view">
  <div class="me-content-data me-responses-button" id="me-responses-button">
    <h2><a id="me-responses-link" href="#disqus_thread">add / view all comments</a></h2>
  </div>
  <div id="me-responses">
    <div class="me-content-data"><h2>Responses</h2></div>
    <div class="me-responses">
      <div id="disqus_thread"></div>
      <noscript>Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
      <a href="http://disqus.com" class="dsq-brlink">blog comments powered by <span class="logo-disqus">Disqus</span></a>
    </div>
  </div>
</div>
<script type="text/javascript">
var disqus_shortname = 'dtinth';
var disqus_developer = 0;
var disqus_identifier = (function(path) {
  var m
  m = path.match(/page\/([^\/]+)/)
  if (m) {
    return 'post-' + m[1]
  }
})(location.pathname)
var disqus_title = "ttycast v0.2 Released";

(function () {
  var s = document.createElement('script'); s.async = true;
  s.type = 'text/javascript';
  s.src = 'http://' + disqus_shortname + '.disqus.com/count.js';
  (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(s);
}());
document.getElementById('me-responses-link').setAttribute('data-disqus-identifier', disqus_identifier);
document.getElementById('me-responses-link').onclick = function() {
  document.getElementById('me-responses-view').className = 'me-show-comments';
  var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
  dsq.src = 'http://' + disqus_shortname + '.disqus.com/embed.js';
  (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
};
</script>

</div>
</div>






  <script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-4343503-2']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>







</body>
</html>

